routes/web.php
<?php

use App\Http\Controllers\Admin\AuditTrailController;
use App\Http\Controllers\Admin\DashboardController;
use App\Http\Controllers\Admin\MediaController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Auth::routes();

Route::get('/', function (){
	return redirect()->route('dashboard.index');
})->name('home');


Route::group(['namespace' => 'App\Http\Controllers\Admin', 'middleware' => 'auth', 'verify' => TRUE],
	function (){
		Route::name('dashboard.')->group(function (){
			Route::get('/dashboard', [DashboardController::class, 'index'])->name('index');
		});

		Route::name('audit.')->group(function (){
			Route::get('/audit', [AuditTrailController::class, 'index'])->name('index');
		});

		Route::group(['prefix' => 'users'], function (){
			Route::get('/', 'UsersController@index')->name('users.index');
			Route::get('/create', 'UsersController@create')->name('users.create');
			Route::post('/create', 'UsersController@store')->name('users.store');
			Route::get('/{user}/show', 'UsersController@show')->name('users.show');
			Route::get('/{user}/edit', 'UsersController@edit')->name('users.edit');
			Route::patch('/{user}/update', 'UsersController@update')->name('users.update');
			Route::delete('/{user}/delete', 'UsersController@destroy')->name('users.destroy');
		});
		Route::group(['prefix' => 'roles'], function (){
			Route::get('/', 'RolesController@index')->name('roles.index');
			Route::get('/create', 'RolesController@create')->name('roles.create');
			Route::post('/create', 'RolesController@store')->name('roles.store');
			Route::get('/{role}/show', 'RolesController@show')->name('roles.show');
			Route::get('/{role}/edit', 'RolesController@edit')->name('roles.edit');
			Route::patch('/{role}/update', 'RolesController@update')->name('roles.update');
			Route::delete('/{role}/delete', 'RolesController@destroy')->name('roles.destroy');
		});
		Route::group(['prefix' => 'permissions'], function (){
			Route::get('/', 'PermissionsController@index')->name('permissions.index');
			Route::get('/create', 'PermissionsController@create')->name('permissions.create');
			Route::post('/create', 'PermissionsController@store')->name('permissions.store');
			Route::get('/{permission}/show', 'PermissionsController@show')->name('permissions.show');
			Route::get('/{permission}/edit', 'PermissionsController@edit')->name('permissions.edit');
			Route::patch('/{permission}/update', 'PermissionsController@update')
			     ->name('permissions.update');
			Route::delete('/{permission}/delete', 'PermissionsController@destroy')
			     ->name('permissions.destroy');
		});
		Route::group(['prefix' => 'profile'], function (){
			Route::get('/', 'ProfileController@profile')->name('profile.index');
			Route::patch('/{user}', 'ProfileController@update')->name('profile.update');
		});
	});
Route::any('/ckfinder/connector',
	'\CKSource\CKFinderBridge\Controller\CKFinderController@requestAction')
     ->name('ckfinder_connector');

Route::any('/ckfinder/browser',
	'\CKSource\CKFinderBridge\Controller\CKFinderController@browserAction')
     ->name('ckfinder_browser');

Route::any('/ckfinder/examples/{example?}',
	'CKSource\CKFinderBridge\Controller\CKFinderController@examplesAction')
     ->name('ckfinder_examples');

Route::name('media.')->group(function (){
	Route::get('/media', [MediaController::class, 'index'])->name('index');
});

resources/views/partials/aside.blade.php
<!-- begin:: Aside -->
<button class="kt-aside-close " id="kt_aside_close_btn"><i class="la la-close" aria-hidden="true"></i></button>
<div class="kt-aside  kt-aside--fixed  kt-grid__item kt-grid kt-grid--desktop kt-grid--hor-desktop" id="kt_aside">

    <!-- begin:: Aside -->
    <div class="kt-aside__brand kt-grid__item " id="kt_aside_brand">
        <div class="kt-aside__brand-logo">
            <a href="#">
                <img alt="Logo" src="{{ asset('assets/media/logos/logo-dark.png') }}"/>
            </a>
        </div>
        <div class="kt-aside__brand-tools">
            <button class="kt-aside__brand-aside-toggler" id="kt_aside_toggler">
                <span>@include('partials.icons.aside-angle-double-left')</span>
                <span>@include('partials.icons.aside-angle-double-right')</span>
            </button>
        </div>
    </div>

    <!-- end:: Aside -->

    <!-- begin:: Aside Menu -->
    <div class="kt-aside-menu-wrapper kt-grid__item kt-grid__item--fluid" id="kt_aside_menu_wrapper">
        <div id="kt_aside_menu" class="kt-aside-menu " data-ktmenu-vertical="1" data-ktmenu-scroll="1" data-ktmenu-dropdown-timeout="500">
            <ul class="kt-menu__nav ">
                <li class="kt-menu__item  kt-menu__item--active" aria-haspopup="true">
                    <a href="index.html" class="kt-menu__link "><span class="kt-menu__link-icon">@include('partials.icons.menu-dashboard')</span><span class="kt-menu__link-text">Dashboard</span></a>
                </li>
                <li class="kt-menu__section ">
                    <h4 class="kt-menu__section-text">Hệ thống</h4>
                    <i class="kt-menu__section-icon flaticon-more-v2" aria-hidden="true"></i>
                </li>

                {{--  Begin: Audit trail --}}
                <li class="kt-menu__item " aria-haspopup="true">
                    <a target="_self" href="{{ route('audit.index') }}" class="kt-menu__link "><span class="kt-menu__link-icon">@include('partials.icons.menu-combined-shape')</span><span class="kt-menu__link-text">Audit trail</span></a>
                </li>
                {{--  End: Audit trail --}}
                {{--  Begin: Audit trail --}}
                <li class="kt-menu__item " aria-haspopup="true">
                    <a target="_self" href="#" class="kt-menu__link "><span class="kt-menu__link-icon">@include('partials.icons.aside-setting')</span><span class="kt-menu__link-text">Cài đặt</span></a>
                </li>
                {{--  End: Audit trail --}}

                <li class="kt-menu__section ">
                    <h4 class="kt-menu__section-text">Users</h4>
                    <i class="kt-menu__section-icon flaticon-more-v2" aria-hidden="true"></i>
                </li>
                <li class="kt-menu__item  kt-menu__item--submenu @yield('nav_users')" aria-haspopup="true" data-ktmenu-submenu-toggle="hover">
                    <a href="javascript:;" class="kt-menu__link kt-menu__toggle">
                        <span class="kt-menu__link-icon">
                           @include('partials.icons.aside-shield-user')
                        </span><span class="kt-menu__link-text">Nhân viên</span>
                        <i class="kt-menu__ver-arrow la la-angle-right" aria-hidden="true"></i>
                    </a>
                    <div class="kt-menu__submenu "><span class="kt-menu__arrow"></span>
                        <ul class="kt-menu__subnav">
                            <li class="kt-menu__item kt-menu__item--parent" aria-haspopup="true">
                                <span class="kt-menu__link"><span class="kt-menu__link-text">Nhân viên</span></span>
                            </li>
                            <li class="kt-menu__item  @yield('nav_users_add')" aria-haspopup="true">
                                <a href="{{ route('users.create') }}" class="kt-menu__link ">
                                    <i class="kt-menu__link-bullet kt-menu__link-bullet--dot" aria-hidden="true"><span></span></i>
                                    <span class="kt-menu__link-text">Thêm nhân viên</span>
                                </a>
                            </li>
                            <li class="kt-menu__item  @yield('nav_users_list')" aria-haspopup="true">
                                <a href="{{ route('users.index') }}" class="kt-menu__link ">
                                    <i class="kt-menu__link-bullet kt-menu__link-bullet--dot" aria-hidden="true"><span></span></i>
                                    <span class="kt-menu__link-text">Danh sách nhân viên</span>
                                </a>
                            </li>

                        </ul>
                    </div>
                </li>
                {{--  Begin: Role --}}
                <li class="kt-menu__item @yield('nav_role')" aria-haspopup="true">
                    <a target="_self" href="{{ route('roles.index') }}" class="kt-menu__link "><span class="kt-menu__link-icon">@include('partials.icons.aside-user-group')</span><span class="kt-menu__link-text">Roles</span></a>
                </li>
                {{--  End: Role --}}

                {{--  Begin: Permission --}}

                <li class="kt-menu__item " aria-haspopup="true">
                    <a target="_self" href="{{ route('permissions.index') }}" class="kt-menu__link "><span class="kt-menu__link-icon">@include('partials.icons.aside-shield-user')</span><span class="kt-menu__link-text">Permission</span></a>
                </li>
                {{--  End: Permission --}}
            </ul>
        </div>
    </div>

    <!-- end:: Aside Menu -->
</div><!-- end:: Aside -->

resources/views/partials/errors.blade.php
<?php

resources/views/partials/footer.blade.php
<!-- begin:: Footer -->
<div class="kt-footer kt-grid__item kt-grid kt-grid--desktop kt-grid--ver-desktop">
    <div class="kt-footer__copyright">
        2021&nbsp;&copy;&nbsp;<a href="#" target="_blank" class="kt-link">TinhDev</a>
    </div>
    <div class="kt-footer__menu">
        <a href="#" target="_self" class="kt-footer__menu-link kt-link">Giới thiệu</a>
        <a href="#" target="_self" class="kt-footer__menu-link kt-link">Team</a>
        <a href="#" target="_self" class="kt-footer__menu-link kt-link">Liên hệ</a>
    </div>
</div>

<!-- end:: Footer -->

resources/views/partials/notification.blade.php
@if(Session::get('success', FALSE))
	<?php $data = Session::get('success'); ?>
    @if (is_array($data))
        @foreach ($data as $msg)
            <div class="alert alert-success align-items-center" role="alert">
                <i class="fa fa-check pr-2" aria-hidden="true"></i>
                {{ $msg }}
            </div>
        @endforeach
    @else
        <div class="alert align-items-center alert-success" role="alert">
            <i class="fa fa-check pr-2" aria-hidden="true"></i>
            {{ $data }}
        </div>
    @endif
@endif
@if(Session::get('error', FALSE))
	<?php $data = Session::get('error'); ?>
    <div class="alert align-items-center alert-danger" role="alert">
        <i class="fa fa-window-close pr-2" aria-hidden="true"></i>
        {{ $data }}
    </div>
@endif

resources/views/partials/quick-panel.blade.php
<?php